﻿
/* This tester executable is a way to enable the Express version of Visual Studio
 * to do debugging of WriteLog external keyboard shortcuts.
 * The files in this KeyboardShortcutTester namespace should work (almost) as-is.
 * The project references to the three WriteLog assemblies probably will be noted as missing
 * when you first open this project. Use a right mouse on References, choose Add, switch to
 * the Browse tab,  navigate to WriteLog's \Programs folders, and add references to these:
 *   WriteLogClrTypes.dll
 *   WriteLogExternalShortcuts.dll
 *   WriteLogShortcutHelper.dll
 * 
 * TO customize this for your own keyboard shortcut assembly:
 * 1. Include both this project (KeyboardShortcutTester) and your own assembly in the
 * same Visual Studio solution with each other.
 * 2. In this project (KeyboardShortcutTester) add a reference to your project
 * 3. In this project, MainForm.cs, find and fix this: "TODO: Change following line to name of your class" 
 * 
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace KeyboardShortcutTester
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new MainForm());
        }
    }
}
